File python-barbicanclient.spec of Package python-barbicanclient

#
# spec file for package python-barbicanclient
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname python-barbicanclient
Name:           python-barbicanclient
Version:        4.1.0
Release:        0
Summary:        Client for the Barbican Key Management API
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{sname}
Source0:        https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-cliff >= 1.15.0
BuildRequires:  python-devel
BuildRequires:  python-keystoneclient >= 2.0.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-requests >= 2.10.0
BuildRequires:  python-requests-mock >= 1.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-cliff >= 1.15.0
Requires:       python-keystoneclient >= 2.0.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-pbr >= 1.6
Requires:       python-requests >= 2.10.0
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
OpenStack Key Management API client - Python 2.x
This is a client for the Barbican Key Management API. This package includes a
Python library for accessing the API (the barbicanclient module), and a
command-line script (barbican).

This package contains the Python 2.x module.

%package doc
Summary:        Documentation for OpenStack Key Management API Client
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Documentation for the client library for interacting with
Openstack Key Management API

%prep
%setup -q -n %{name}-%{version}

# Remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%build
%{py2_build}
%{__python2} setup.py build_sphinx

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/python_barbicanclient-%{version}-py?.?.egg-info
%{python2_sitelib}/barbicanclient
%{_bindir}/barbican

%files doc
%doc doc/build/html
%license LICENSE

%changelog